--- ### ARENA

local A = select(2, ...);
local C = A.Constants;
local L = A.Localize.translate;
local API = A.Api.Arena;
local ShortsMixin = A.Mixins.Shorts;
local ShortsApiMixin = A.Mixins.ShortsApi;

local shortsStore = {};

local ItemMixin = {}
function ItemMixin:_getShortsStore()
    return shortsStore
end

-------------------
Mixin(API, ShortsApiMixin);

function API:_getShortsStore()
    return shortsStore
end

function API:GetById(id)
    return self[id];
end




------ INITIALIZE -----------------

local function CreateArena(key, name)
    local arena = {
        id = key,
        name = name,
        shorts = { }
    }
    Mixin(arena, ItemMixin, ShortsMixin);
    arena:AddShorts(unpack(C.Shorts.Arena[key]));
    API[key] = arena;
end


-- CreateArena("2x2");
-- CreateArena("3x3");
-- CreateArena("5x5");
