--- ### PLAYER CLASSES

local A = select(2, ...);
local C = A.Constants;
local L = A.Localize.translate;
local API = A.Api.Class;
local ShortsMixin = A.Mixins.Shorts;
local ShortsApiMixin = A.Mixins.ShortsApi;

local shortsStore = {};

local ItemMixin = {}
function ItemMixin:_getShortsStore()
    return shortsStore
end

-------------------
Mixin(API, ShortsApiMixin);

function API:_getShortsStore()
    return shortsStore
end

function API:GetById(id)
    return self[id];
end

local dmp = "";


local clsss_info = {

    WARRIOR = {
        shortName = "WAR",
        specs = {
            "A", "D", "F"
        }
    },

    PALADIN = {
        shortName = "PAL",
        specs = {
            "H", "R", "P"
        }
    },

    HUNTER = {
        shortName = "HNT",
        specs = {
            "B", "M", "S"
        }
    },

    ROGUE = {
        shortName = "ROG",
        specs = {
            "A", "C", "S"
        }
    },

    PRIEST = {
        shortName = "PST",
        specs = {
            "D", "H", "S"
        }
    },


    SHAMAN = {
        shortName = "SHA",
        specs = {
            "L", "N", "R"
        }
    },


    MAGE = {
        shortName = "MAG",
        specs = {
            "FO", "FI", "A"
        }
    },


    WARLOCK = {
        shortName = "WLK",
        specs = {
            "A", "DN", "DF", "DS"
        }
    },


    DRUID = {
        shortName = "DRU",
        specs = {
            "B", "F", "R"
        }
    },

}


-------- INITIALIZE -----------------
for i=1, GetNumClasses() do
    local name, key, id = GetClassInfo(i);
    if key then
        local cls = {
            id = key,
            intId = id,
            name = name,
            shortName = clsss_info[key].shortName,
            specs = clsss_info[key].specs,
            shorts = { }
        }

        Mixin(cls, ItemMixin, ShortsMixin);

        API[key] = cls;

        cls:AddShorts(unpack(C.Shorts.Classes[key]));
    end
end

--Tabu.dump(dmp);

