--- ### DUNGEON MODES

local A = select(2, ...);
local C = A.Constants;
local API = A.Api.Mode;
local ShortsMixin = A.Mixins.Shorts;
local ShortsApiMixin = A.Mixins.ShortsApi;

local shortsStore = {};

local ItemMixin = {}
function ItemMixin:_getShortsStore()
    return shortsStore
end



-------- COMMON API -----------------

Mixin(API, ShortsApiMixin);
function API:_getShortsStore()
    return shortsStore
end
function API:GetById(id)
    return self[id];
end

function API:IsHeroic(arg)
    if self.Heroic.id == arg then
         return true;
    end
    local byshort = self:GetByShort(arg);
    return byshort ~= nil and byshort.id == self.Heroic.id;

end

-- AddShorts
-- GetByShort


-------- INITIALIZE -----------------

for key, c_mode in pairs(C.Modes) do

    local mode = {
        id = c_mode[1],
        name = c_mode[2],
        shorts = { }
    }

    Mixin(mode, ItemMixin, ShortsMixin);

    API[key] = mode;

    mode:AddShorts(unpack(c_mode));
    mode:AddShorts(unpack(C.Shorts.Modes[key]));

end

