--- ### REQUEST TYPES

local A = select(2, ...);
local C = A.Constants;
local API = A.Api.Type;
local ShortsMixin = A.Mixins.Shorts;
local ShortsApiMixin = A.Mixins.ShortsApi;

local shortsStore = {};

local ItemMixin = {}
function ItemMixin:_getShortsStore()
    return shortsStore
end



-------- COMMON API -----------------

Mixin(API, ShortsApiMixin);

function API:_getShortsStore()
    return shortsStore
end

function API:GetById(id)
    return self[id];
end

-- AddShorts
-- GetByShort


-------- INITIALIZE -----------------
local types = {
    Lfg = C.Lfg,
    Lfm = C.Lfm,
}

for key, name in pairs(types) do

    local item = {
        id = key,
        name = name,
        shorts = { }
    }

    Mixin(item, ItemMixin, ShortsMixin);

    API[key] = item;

    item:AddShorts(key, name);
    item:AddShorts(unpack(C.Shorts.Types[key]))

end

API.Ping = {
    id = "Ping",
}

-- for sh, i in pairs(shortsStore) do
--     print(" -- short: ", sh, i.id);
-- end