local A = select(2, ...)
local comp = A.Companion;
local L = A.Localize.translate;
local Cache = A.Cache;


local CompanionOptions = {
    {
        type = "GroupName",
        name = "CompanionOptions",
        header = "Tabu-Lfg Companion"
    },
    {
        type = "Checkbox",
        name = "CompanionShowed",
        text = L("Show Tabu-Lfg Companion"),
        checked = function() 
            return comp:IsShown() 
        end,
        click = function() 
            comp:Toggle();
        end,
    },
    {
        type = "Checkbox",
        name = "CompanionAutostart",
        --tooltip = "tooltip",
        text = L("Autoshow Tabu-Lfg Companion on login"),
        checked = function() return Cache:GetOption("companion.show") == true end,
        click = function(self) Cache:SetOption("companion.show", self:GetChecked()) end,
    }
}


function comp:GetConfigOptions()
    return CompanionOptions;
end