local A = select(2, ...);
local C = A.Constants;
local mod = A:Mod("lfg-frame");
local L = A.Localize.translate;

local LOC = {
    SelectDungeon = L("Select dungeon"),
    NotSpecified = L("Not Specified"),
    Empty = L("---"),
    Close = L("Close"),
    Role = L("Specify your role"),
    DefaultRole = L("Your role"),
    DefaultRoleTooltip = L("Your default role, this role will be used for all dungeons with unspecified role"),
    DefaultNote = L("Your note"),
    DefaultNoteTooltip = L("Your default note, this note will be used for all dungeons with unspecified note"),
    DungeonRoleTooltip = L("You may specify special role for this dungeon"),
    DungeonNoteTooltip = L("You may specify special note for this dungeon"),
    EditNote = L("Edit note"), 
    Change = L("Change"),
    Send = L("Send"),
    CheckedExplain = L("When checked will autoresponse to a player who send a message in an LFG channel about this dungeon")
}


function mod:GetRolesDropdownMenu(frame, click, isChecked)
    

    local parent = frame:GetParent()
    local data = parent.data;

    local menu = {
        { text = LOC.Role, isTitle = true, notCheckable = true  },
        {
            text = LOC.NotSpecified,
            value = "",
            checked = isChecked(data, nil),
            func = click,
            arg1 = data, arg2 = parent
        },
    }

    for _i, role in pairs(C.Roles) do
        table.insert(menu, {
            text = role,
            value = role,
            checked = isChecked(data, role),
            func = click,
            arg1 = data, arg2 = parent
        });
    end

    table.insert(menu, { separator = true });
    table.insert(menu, { text = LOC.Close, notCheckable = true });

    return menu;
end