local A = select(2, ...);
--local M = A.Lfg;
local D = A.Api.Dungeon;
local U = A.Utils;
local fb = A.Lib.FB;
local C = A.Constants;
local P = A:Mod("player"); --A.Player;
local R = A:Mod("request"); -- A.Request;
local L = A.Localize.translate;
local Cache = A.Cache;




local LFGDBMIXIN = {
    items = {},
    itemsById = {},
    OnInitialize = function(self)
        for _, dung in pairs(D:GetAll()) do
            local lfmdungeon = {};
            Mixin(lfmdungeon, dung);

            lfmdungeon.checked = Cache:GetOption("lfg.dungeon."..lfmdungeon.id..".checked");
            lfmdungeon.role = Cache:GetOption("lfg.dungeon."..lfmdungeon.id..".role");
            lfmdungeon.note = Cache:GetOption("lfg.dungeon."..lfmdungeon.id..".note");

            table.insert(self.items, lfmdungeon);
            self.itemsById[lfmdungeon.id] = lfmdungeon;
        end
    end,

    GetCheckedHash = function(self)
        local res = {};
        for _i, item in pairs(self.items) do
            if item.checked then
                res[item.id] = true;
            end
        end
        return res;
    end,

    IsCheckedById = function(self, id)
        local dng = self:GetById(id);
        return dng.checked == true;
    end,

    Get = function(self, filters)
        return D:FilterTable(self.items, filters);
    end,

    GetById = function(self, id)
        return self.itemsById[id];
    end
};

local mod = A:Mod("lfg-db");
Mixin(mod, LFGDBMIXIN);