local ANAME, A = select(1, ...);
local U = A.Utils;
local C = A.Constants;

local R = A:Mod("request"); --A.Request;
local fb = A.Lib.FB;
local Cache = A.Cache;
--local Bus = A.ChatBus;
local DungeonApi = A.Api.Dungeon;
local P = A:Mod("player"); --A.Player;
--local LFG = A.Lfg;
local MapIcon = A.MapIcon;
local L = A.Localize.translate;


local f = CreateFrame("Frame");
f:RegisterEvent("PLAYER_ENTERING_WORLD");
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, arg) 

    if event == "ADDON_LOADED" and arg == ANAME then
        -- skip
    elseif event == "PLAYER_ENTERING_WORLD" and not self.initialized then
        self.initialized = true;
        A:Start();
    end

end);


function A:RegisterSlashCommands()


    _G["SLASH_"..ANAME.."1"] = "/tlfg";
    _G["SLASH_"..ANAME.."2"] = "/тлфг";
    SlashCmdList[ANAME] = function(cmd)
    
        -- Extract Parameters
        local param1, param2 = cmd:match("^([^%s]+)%s*(.*)$");
        param1 = (param1 and param1:lower() or cmd:lower());
        -- Options
        if (param1 == "") then
            A:ShowMainFrame();
            -- nothing 
        elseif (param1 == "companion") then
            if param2 == "on" then
                Cache:SetOption("companion.show", true);
            elseif param2 == "off" then
                Cache:SetOption("companion.show", false);
            else
                A:ToggleCompanion();
            end
        end

    end
    
end

function A:Start()

    Cache:Initialize();
    P:Initialize();
    
    A:Mod("chat-bus"):Start();
    A:Mod("lfg-db"):Start();

    A:Mod("addon-config"):Initialize();
    MapIcon:Initialize();
    --A.ConfigOptions:Initialize();

    self:RegisterSlashCommands();

    if Cache:GetOption("companion.show") then
        A:ShowCompanion();
    end

    
    --print("|cff00a0ffTabu-Lfg is On,|r |cffff8000type /tlfg|r");
    U:Msg(L("On, for opening type:"), "|cffff8000/tlfg|r");
    
    if A.BUILD.debugEnabled then
        U:Msg("debug mode ON");
    end
end



