-- cache
local A = select(2, ...);
local Cache = A.Cache;


function Cache:Initialize()
    if not TabuLfgData then
        TabuLfgData = {};
        TabuLfgData.options = {};
    end
    if not TabuLfgGlobalData then
        TabuLfgGlobalData = {};
        TabuLfgGlobalData.options = {};
    end
end

local function GetOption(options, key, def)
    local val = options[key];
    if val == "" then val = nil end
    if val == nil then 
        if def == nil then 
            def = A:Com("config-defaults")[key];
        end
        val = def 
    end
    return val;
end


function Cache:GetOption(key, def)
    local options = TabuLfgData.options;
    return GetOption(options, key, def);
end


function Cache:GetGlobalOption(key, def)
    local options = TabuLfgGlobalData.options;
    return GetOption(options, key, def);
end


local function SetOption(options, key, val)
   options[key] = val;
end

function Cache:SetOption(key, val)
    local options = TabuLfgData.options;
    return SetOption(options, key, val);
end

function Cache:SetGlobalOption(key, val)
    local options = TabuLfgGlobalData.options;
    return SetOption(options, key, val);
end