local A = select(2, ...);
local C = A.Constants
local L = A.Localize.translate;

C.LOC = {}

C.Eras = {
    Classic = "Classic",
    BC = "BC"
}

C.DungeonSizes = {
    Group = "Group",
    Raid10 = "Raid-10",
    Raid20 = "Raid-20",
    Raid25 = "Raid-25",
    Raid40 = "Raid-40",
}


C.CL_Dungeons = {
    Ragefire = L("Ragefire"),
    WailingCaverns = L("WailingCaverns"),
    TheDeadmines = L("TheDeadmines"),
    ShadowfangKeep = L("ShadowfangKeep"),
    BlackfathomDeeps = L("BlackfathomDeeps"),
    TheStockade = L("TheStockade"),
    Gnomeregan = L("Gnomeregan"),
    RazorfenKraul = L("RazorfenKraul"),
    ScarletMonasteryGraveyard = L("ScarletMonasteryGraveyard"),
    ScarletMonasteryLibrary = L("ScarletMonasteryLibrary"),
    ScarletMonasteryArmory = L("ScarletMonasteryArmory"),
    ScarletMonasteryCathedral = L("ScarletMonasteryCathedral"),
    RazorfenDowns = L("RazorfenDowns"),
    Uldaman = L("Uldaman"),
    ZulFarrak = L("ZulFarrak"),
    Maraudon = L("Maraudon"),
    TheTempleOfAtalHakkar = L("TheTempleOfAtalHakkar"),
    BlackrockDepths = L("BlackrockDepths"),
    LowerBlackrockSpire = L("LowerBlackrockSpire"),
    DireMaulEast = L("DireMaulEast"),
    DireMaulWest = L("DireMaulWest"),
    DireMaulNorth = L("DireMaulNorth"),
    Scholomance = L("Scholomance"),
    Stratholme = L("Stratholme"),
}

C.CL_Raids10 = {
    UpperBlackrockSpire = L("UpperBlackrockSpire"),
}

C.CL_Raids20 = {
    ZulGurub = L("ZulGurub"),
    TheRuinsofAhnQiraj = L("TheRuinsofAhnQiraj"),
}

C.CL_Raids40 = {
    MoltenCore = L("MoltenCore"),
    Onyxia = L("Onyxia"),
    BlackwingLair = L("BlackwingLair"),
    TheTempleofAhnQiraj = L("TheTempleofAhnQiraj"),
    Naxxramas = L("Naxxramas")
}

C.BC_Dungeons = {
    HellfireRamparts = L("HellfireRamparts"),
    TheBloodFurnace = L("TheBloodFurnace"),
    TheShatteredHalls = L("TheShatteredHalls"),
    ManaTombs = L("ManaTombs"),
    AuchenaiCrypts = L("AuchenaiCrypts"),
    SethekkHalls = L("SethekkHalls"),
    ShadowLabyrinth = L("ShadowLabyrinth"),
    TheSlavePens = L("TheSlavePens"),
    TheUnderbog = L("TheUnderbog"),
    TheSteamvault = L("TheSteamvault"),
    OldHillsbradFoothills = L("OldHillsbradFoothills"),
    TheBlackMorass = L("TheBlackMorass"),
    TheArcatraz = L("TheArcatraz"),
    TheBotanica = L("TheBotanica"),
    TheMechanar = L("TheMechanar"),
    MagistersTerrace = L("MagistersTerrace"),
}

C.BC_Raids10 = {
    Karazhan = L("Karazhan"),
    ZulAman = L("ZulAman"),
}

C.BC_Raids25 = {
    MagtheridonsLair = L("MagtheridonsLair"),
    GruulsLair = L("GruulsLair"),
    SerpentshrineCavern = L("SerpentshrineCavern"),
    TempestKeep = L("TempestKeep"),
    HyjalSummit = L("HyjalSummit"),
    BlackTemple = L("BlackTemple"),
    SunwellPlateau = L("SunwellPlateau")
}

C.Roles = {
    tank = L("tank"), 
    heal = L("heal"), 
    dd = L("dd"), 
    mdd = L("mdd"), 
    rdd = L("rdd")
}

C.RolesIconAtlases = {
    tank = "groupfinder-icon-role-large-tank", 
    heal = "groupfinder-icon-role-large-heal", 
    dd = "groupfinder-icon-role-large-dps", 
    mdd = "groupfinder-icon-role-large-dps", 
    rdd = "groupfinder-icon-role-large-dps"
}

C.Modes = {
    Normal = { L("N"), L("Normal") },
    Heroic = { L("H"), L("Heroic") },
}

C.Lfm = L("lfm");
C.Lfg = L("lfg");

C.Arena = {
    Two = "2x2",
    Three = "3x3",
    Five = "5x5"
}

C.SendRequest = L("Send Request");

C.Frames = {
    LfgFrame = {
        Header = L("Looking for group mode")
    },
    LfmFrame = {
        Header = L("Looking for member mode")
    }
}

C.RequestAddonSeparator = ";;";
C.RequestSeparator = " ";
C.RequestModeSeparator = "/";
C.RequestRoleSeparator = ",";

C.ResponseLfmStart = "response_to_lfm";
C.ResponseDelimeter = "/";

C.Shorts = {
    Modes = {},
    Roles = {},
    Types = {},
    Dungeons = L("Shorts.Dungeons", {}),
    Classes = {},
    Arena = {},
}

for cIndex = 1, GetNumClasses() do
    local name, key = GetClassInfo(cIndex);
    if key then
        C.Shorts.Classes[key] = L("Shorts.Classes."..key, {});
    end
end

for Key, _ in pairs(C.Modes) do
    C.Shorts.Modes[Key] = L("Shorts.Modes."..Key, {});
end

for Key, _ in pairs(C.Roles) do
    C.Shorts.Roles[Key] = L("Shorts.Roles."..Key, {});
end

for Key, _ in pairs(C.Arena) do
    C.Shorts.Arena[Key] = L("Shorts.Arena."..Key, {});
end

C.Shorts.Types.Lfg = L("Shorts.Types.Lfg", {});
C.Shorts.Types.Lfm = L("Shorts.Types.Lfm", {});

C.Shorts.Ignore = L("Shorts.Ignore", {});

C.Shorts.IsIgnored = function(word)
    if word == nil then return true end
    word = string.lower(word);
    for i, ignoreWord in pairs(C.Shorts.Ignore) do
        if word == ignoreWord then return true end
    end
    return false;
end

